javax.jdo.metadata

## Interface FetchGroupMetadata

- All Superinterfaces:
    Metadata

      public interface FetchGroupMetadata
      extends Metadata

  Represents a fetch group for a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberMetadata[]` | `getMembers()` Accessor for all fields/properties defined on the fetch group.
    `String` | `getName()` Accessor for the fetch group name (set on construction).
    `int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for this fetch group.
    `Boolean` | `getPostLoad()` Accessor for whether to call post load for this fetch group.
    `FieldMetadata` | `newFieldMetadata(String name)` Add a new field for this fetch group.
    `PropertyMetadata` | `newPropertyMetadata(String name)` Add a new property for this fetch group.
    `FetchGroupMetadata` | `setPostLoad(boolean load)` Method to set whether to call post load with this fetch group

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### getName

          String getName()

      Accessor for the fetch group name (set on construction).
      Returns:
        The fetch group name

    - #### setPostLoad

          FetchGroupMetadata setPostLoad(boolean load)

      Method to set whether to call post load with this fetch group
      Parameters:
        `load` - Call post load
      Returns:
        This metadata object

    - #### getPostLoad

          Boolean getPostLoad()

      Accessor for whether to call post load for this fetch group.
      Returns:
        Whether to call post-load

    - #### getMembers

          MemberMetadata[] getMembers()

      Accessor for all fields/properties defined on the fetch group.
      Returns:
        The members

    - #### getNumberOfMembers

          int getNumberOfMembers()

      Accessor for the number of fields/properties defined for this fetch group.
      Returns:
        The number of members

    - #### newFieldMetadata

          FieldMetadata newFieldMetadata(String name)

      Add a new field for this fetch group.
      Parameters:
        `name` - Name of field
      Returns:
        The FieldMetadata

    - #### newPropertyMetadata

          PropertyMetadata newPropertyMetadata(String name)

      Add a new property for this fetch group.
      Parameters:
        `name` - Name of property
      Returns:
        The PropertyMetadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.